Bug 1985724 - VM Details Page missing translations
Summary: VM Details Page missing translations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.10.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-25 10:00 UTC by Matan Schatzman
Modified: 2022-03-12 04:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
missing translation
Clone Of:
Environment:
Last Closed: 2022-03-12 04:36:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9634 0 None open Bug 1985724: Added missing translations to Affinity rules and Toleration rules 2021-07-27 06:40:09 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-12 04:36:22 UTC

Description Matan Schatzman 2021-07-25 10:00:28 UTC
Description of problem:
Missing translation in VM Details page, Details tab.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Not Toleration rules, Affinity rules strings are translated.

Expected results:
Toleration rules, Affinity rules strings should be translated. 

Additional info:

File: vm-resources.tsx

Comment 3 YaoJinbo 2021-08-09 07:55:20 UTC
Reproduced on the OCP 4.9 and the latest master

Not Toleration rules, Affinity rules strings are translated.

Comment 4 YaoJinbo 2021-08-09 08:38:18 UTC
Verified on OCP 4.9 and the latest master

 1.edit language preference and select kinds of language
 2.Toleration rules, Affinity rules strings can be translated.

Comment 5 YaoJinbo 2021-08-09 09:04:22 UTC
Created attachment 1812312 [details]
the  Toleration rules cannot be translated

Verified on OCP 4.9 and the latest master.


1.edit language preference and select kinds of language
2.Affinity rules strings can be translated. Toleration rules can not be translated

Comment 6 YaoJinbo 2021-08-09 09:06:24 UTC
Verified on OCP 4.9 and the latest master.


1.edit language preference and select kinds of language
2.Affinity rules strings can be translated. Toleration rules can not be translated

Comment 8 Matan Schatzman 2021-11-17 10:33:49 UTC
Hi , 

I can see it's getting translated. Can you please check again? @yaojingtao1986 , @gouyang 

attached a screen shot.

Comment 10 Guohua Ouyang 2021-11-17 11:08:38 UTC
Re-tested on master branch, the string is translated indeed.

Comment 13 errata-xmlrpc 2022-03-12 04:36:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.